PtocaConstants (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.afp.ptoca

## Interface PtocaConstants

- All Known Implementing Classes:
    LineDataInfoProducer, PresentationTextData, PtocaBuilder, TextDataInfoProducer

      public interface PtocaConstants

  A collection of PTOCA constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `AMB` Absolute Move Baseline
    `static byte` | `AMI` Absolute Move Inline
    `static byte` | `CHAIN_BIT` Bit to set for chained control sequences
    `static byte` | `DBR` Draw B-axis Rule
    `static byte` | `DIR` Draw I-axis Rule
    `static byte[]` | `ESCAPE` "Escape" sequence for normal PTOCA command sequences.
    `static byte` | `NOP` No Operation
    `static byte` | `RMI` Relative Move Inline
    `static byte` | `SCFL` Set Coded Font Local
    `static byte` | `SEC` Set Extended Text Color
    `static byte` | `SIA` Set Intercharacter Adjustment
    `static byte` | `STO` Set Text Orientation
    `static byte` | `SVI` Set Variable Space Character Increment
    `static int` | `TRANSPARENT_DATA_MAX_SIZE` Maximum size of transparent data chunks
    `static byte` | `TRN` Transparent Data

- - ### Field Detail

    - #### ESCAPE

          static final byte[] ESCAPE

      "Escape" sequence for normal PTOCA command sequences.

    - #### CHAIN_BIT

          static final byte CHAIN_BIT

      Bit to set for chained control sequences
      See Also:
        Constant Field Values

    - #### SIA

          static final byte SIA

      Set Intercharacter Adjustment
      See Also:
        Constant Field Values

    - #### SVI

          static final byte SVI

      Set Variable Space Character Increment
      See Also:
        Constant Field Values

    - #### AMI

          static final byte AMI

      Absolute Move Inline
      See Also:
        Constant Field Values

    - #### RMI

          static final byte RMI

      Relative Move Inline
      See Also:
        Constant Field Values

    - #### AMB

          static final byte AMB

      Absolute Move Baseline
      See Also:
        Constant Field Values

    - #### TRN

          static final byte TRN

      Transparent Data
      See Also:
        Constant Field Values

    - #### DIR

          static final byte DIR

      Draw I-axis Rule
      See Also:
        Constant Field Values

    - #### DBR

          static final byte DBR

      Draw B-axis Rule
      See Also:
        Constant Field Values

    - #### SEC

          static final byte SEC

      Set Extended Text Color
      See Also:
        Constant Field Values

    - #### SCFL

          static final byte SCFL

      Set Coded Font Local
      See Also:
        Constant Field Values

    - #### STO

          static final byte STO

      Set Text Orientation
      See Also:
        Constant Field Values

    - #### NOP

          static final byte NOP

      No Operation
      See Also:
        Constant Field Values

    - #### TRANSPARENT_DATA_MAX_SIZE

          static final int TRANSPARENT_DATA_MAX_SIZE

      Maximum size of transparent data chunks
      See Also:
        Constant Field Values

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.